Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.spi.swt.core.layout
Class GridDescriptionFactory

    java.lang.Object
      org.eclipse.emfforms.spi.swt.core.layout.GridDescriptionFactory

    public final class GridDescriptionFactory

extends Object

A Factory to create `GridDescriptions`.

Since:
  1.3
Author:
  Eugen Neufeld

Field Summary
`static GridDescriptionFactory` | `INSTANCE` The static Instance of the Factory.

Method Summary
`SWTGridDescription` | `createEmptyGridDescription()` Creates an empty grid description.
`SWTGridDescription` | `createSimpleGrid(int rows, int columns, AbstractSWTRenderer<? extends VElement> renderer)` Creates a simple grid based on the number of rows and columns provided.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final GridDescriptionFactory INSTANCE

  The static Instance of the Factory.

Method Detail

### createEmptyGridDescription

    public SWTGridDescription createEmptyGridDescription()

  Creates an empty grid description.

  Returns:
    the `SWTGridDescription`

### createSimpleGrid

    public SWTGridDescription createSimpleGrid(int rows,
                                               int columns,
                                               AbstractSWTRenderer<? extends VElement> renderer)

  Creates a simple grid based on the number of rows and columns provided.

  Parameters:
    `rows` - the number of rows in this grid
    `columns` - the number of columns in this grid
    `renderer` - the `AbstractSWTRenderer`
  Returns:
    the `SWTGridDescription`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.